﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Data;

namespace RadTimePickerWPF__1068863
{
    public class TimeToVisibilityConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (value is string)
            {
                DateTime dateTime = DateTime.Now;
                if (DateTime.TryParseExact(value.ToString(), new string[] {"hh:mm tt", "h:mm tt"}, 
                    System.Globalization.CultureInfo.InvariantCulture, System.Globalization.DateTimeStyles.AllowWhiteSpaces, out dateTime))
                {
                    if (TimeSpan.Compare(dateTime.TimeOfDay, new TimeSpan(3,0,0)) == -1
                        || TimeSpan.Compare(dateTime.TimeOfDay, new TimeSpan(20, 0, 0)) == 1)
                    {
                        return Visibility.Hidden;
                    }
                }
            }
            return Visibility.Visible;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
